﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Security.Cryptography;


namespace Nice
{
    class uitls
    {
        public static byte[] EnCmE(byte[] Bytes, string outputFile)
        {
            byte[] Th3Key = new byte[] { 0x4C, 0xDA, 0x9, 0x5D, 0x29, 0x3E, 0xB2, 0xDE, 0xB3, 0x81, 0x91, 0xF4, 0xC3, 0xFA, 0xA3, 0xD5 };
            byte[] Th3Iv = new byte[] { 0xFA, 0x3D, 0xD7, 0xC2, 0xFC, 0x87, 0xD2, 0x85, 0xC9, 0x93, 0x63, 0xA6, 0x49, 0x9B, 0x1A, 0x28 };
            RijndaelManaged myRj = new RijndaelManaged();
            myRj.Mode = CipherMode.CBC;
            myRj.Padding = PaddingMode.None;
            ICryptoTransform theTransformer = myRj.CreateEncryptor(Th3Key, Th3Iv);
            byte[] RArr = theTransformer.TransformFinalBlock(Bytes, 0, Bytes.Length);
            myRj.Clear();
            File.WriteAllBytes(outputFile, RArr);
            return RArr;
        }


        public static byte[] DeCmE(byte[] Bytes)
        {
            byte[] key = new byte[] { 0x4C, 0xDA, 0x9, 0x5D, 0x29, 0x3E, 0xB2, 0xDE, 0xB3, 0x81, 0x91, 0xF4, 0xC3, 0xFA, 0xA3, 0xD5 };
            byte[] iv = new byte[] { 0xFA, 0x3D, 0xD7, 0xC2, 0xFC, 0x87, 0xD2, 0x85, 0xC9, 0x93, 0x63, 0xA6, 0x49, 0x9B, 0x1A, 0x28 };
            RijndaelManaged RjEnC = new RijndaelManaged();
            RjEnC.Mode = CipherMode.CBC;
            RjEnC.Padding = PaddingMode.None;
            ICryptoTransform cTransform = RjEnC.CreateDecryptor(key, iv);
            byte[] theArr = cTransform.TransformFinalBlock(Bytes, 0, Bytes.Length);
            RjEnC.Clear();
            return theArr;
        }
    }
}
